Subject: Re: Re: [PATCH net-next v7 2/4] net: stmmac: eic7700: enable clocks before syscon access and correct RX sampling timing

From: 李志 <[email-masked]>
Date: Thu, 14 May 2026 10:25:55 +0800 (GMT+08:00)

> -----Original Messages-----
> From: "Jakub Kicinski" <[email-masked]>
> Send time:Wednesday, 13/05/2026 07:13:15
> To: 李志 <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> Subject: Re: [PATCH net-next v7 2/4] net: stmmac: eic7700: enable clocks before syscon access and correct RX sampling timing
> 
> On Tue, 12 May 2026 13:39:12 +0800 (GMT+08:00) 李志 wrote:
> > For the eth1 enablement part, my current understanding is that it
> > should be treated as a new independent v1 series for net-next,
> > since the scope and target tree have changed after the split.
> > 
> > Would you prefer this eth1 series to start as v1, or should it
> > continue as v8 for continuity with the original series?
> 
> v8 is better, but is the fix in net-next already?
> 
> If this is the posting you're referring to:
> https://lore.kernel.org/all/[email-masked]/
> it has been dropped based on feedback from Maxime and I don't see a v2.

Yes, the eth0 fixes have now been reposted as a dedicated series targeting net:
https://lore.kernel.org/lkml/[email-masked]/

The previous net-next eth1-related posting was dropped following your guidance
to first complete the eth0 fixes in net before continuing with eth1. I will
keep eth1 as v8 as previously suggested.

For the eth0 net series, I will split the remaining changes in v2 as suggested
by Maxime to improve reviewability and bisectability, and resend shortly.

Once that is completed, I will proceed with the eth1 enablement series (v8)
based on the updated context.

Thanks,
Zhi